## dlt-daemon 2.18.8

=== CMakeLists.txt ===
#######
# SPDX license identifier: MPL-2.0
#
# Copyright(C) 2011-2015, BMW AG
#
# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License(MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#######

cmake_minimum_required(VERSION 3.3)
project(automotive-dlt VERSION 2.18.8)

mark_as_advanced(CMAKE_BACKWARDS_COMPATIBILITY)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS TRUE)

include(GNUInstallDirs)
# Set version parameters
set(DLT_VERSION_STATE STABLE)

execute_process(COMMAND git describe --tags WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_VARIABLE DLT_REVISION
    ERROR_VARIABLE GIT_ERROR
    OUTPUT_STRIP_TRAILING_WHITESPACE
    ERROR_STRIP_TRAILING_WHITESPACE)
if(DLT_REVISION MATCHES "^$")
    set(PRINT_REVISION "Git revision unavailable")
else(DLT_REVISION MATCHES "")
    string(REPLACE "-" "_" DLT_REVISION ${DLT_REVISION})
    set(PRINT_REVISION ${DLT_REVISION})
endif()

# set default build type, if not defined by user
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
                         "Choose build type: Debug, Release, RelWithDebInfo, MinSizeRel."
                         FORCE)
    message(STATUS "Build type not defined. Using default build type 'RelWithDebInfo'.")
endif()

# Set of indiviual options
option(BUILD_SHARED_LIBS      "Set to OFF to build static libraries"                                             ON)
option(WITH_SYSTEMD           "Set to ON to create unit files and systemd check on dlt-daemon startup"           OFF)
option(WITH_SYSTEMD_WATCHDOG  "Set to ON to use the systemd watchdog in dlt-daemon"                              OFF)
option(WITH_SYSTEMD_JOURNAL   "Set to ON to use the systemd journal in dlt-system"                               OFF)
option(WITH_DOC               "Set to ON to build documentation target"                                          OFF)
option(WITH_MAN               "Set to ON to build man pages"                                                     OFF)
option(WITH_CHECK_CONFIG_FILE "Set to ON to create a configure file of CheckIncludeFiles and CheckFunctionExists" OFF)
option(WITH_TESTSCRIPTS       "Set to ON to run CMakeLists.txt in testscripts"                                   OFF)
option(WITH_GPROF             "Set -pg to compile flags"                                                         OFF)
option(WITH_DLTTEST           "Set to ON to build with modifications to test User-Daemon communication with corrupt messages" OFF)
option(WITH_DLT_SHM_ENABLE    "EXPERIMENTAL! Set to ON to use shared memory as IPC. EXPERIMENTAL!"               OFF)
option(WITH_DLT_ADAPTOR       "Set to ON to build src/adaptor binaries"                                          OFF)
option(WITH_DLT_CONSOLE       "Set to ON to build src/console binaries"                                          ON)
option(WITH_DLT_CONSOLE_WO_CTRL    "Set to ON not to build control commands under src/console"                   OFF)
option(WITH_DLT_CONSOLE_WO_SBTM    "Set to ON not to build dlt-sortbytimestamp under src/console"                OFF)
option(WITH_DLT_EXAMPLES      "Set to ON to build src/examples binaries"                                         ON)
option(WITH_DLT_FILETRANSFER  "Set to ON to build dlt-system with filetransfer support"                          OFF)
option(WITH_DLT_SYSTEM        "Set to ON to build src/system binaries"                                           OFF)
option(WITH_DLT_DBUS          "Set to ON to build src/dbus binaries"                                             OFF)
option(WITH_DLT_TESTS         "Set to ON to build src/test binaries"                                             ON)
option(WITH_DLT_UNIT_TESTS    "Set to ON to build gtest framework and tests/binaries"                            OFF)
option(WITH_DLT_QNX_SYSTEM    "Set to ON to build QNX system binary dlt-qnx-system"                              OFF)

set(DLT_IPC "FIFO" CACHE STRING "UNIX_SOCKET,FIFO")
set(DLT_USER "genivi" CACHE STRING "Set user for process not run as root")

option(WITH_DLT_PKGCONFIG     "Set to ON to generate pkgconfig .pc files"                                        ON)
option(WITH_DLT_CXX11_EXT     "Set to ON to build C++11 extensions"                                              OFF)
option(WITH_DLT_COREDUMPHANDLER "EXPERIMENTAL! Set to ON to build src/core_dump_handler binaries. EXPERIMENTAL"  OFF)
option(WITH_DLT_LOGSTORAGE_CTRL_UDEV "PROTOTYPE! Set to ON to build logstorage control application with udev support" OFF)
option(WITH_DLT_USE_IPv6      "Set to ON for IPv6 support"                                                       ON)
option(WITH_DLT_KPI           "Set to ON to build src/kpi binaries"                                              OFF)
option(WITH_DLT_FATAL_LOG_TRAP "Set to ON to enable DLT_LOG_FATAL trap(trigger segv inside dlt-user library)"    OFF)
option(WITH_UDP_CONNECTION     "Set to ON to enable dlt UDP multicast SUPPORT"                                   OFF)
option(WITH_LIB_SHORT_VERSION "Set to ON to build library with only major number in version"                    OFF)
option(WITH_DLT_DISABLE_MACRO "Set to ON to build code without Macro interface support"                         OFF)
option(WITH_LEGACY_INCLUDE_PATH "Set to ON to add <prefix>/dlt to include paths for the CMake config file, in addition to only <prefix>"    ON)
option(WITH_EXTENDED_FILTERING "Set to OFF to build without extended filtering. Using json filter files is only supported for Linux based system with json-c and QNX." OFF)

option(WITH_DLT_DAEMON_VSOCK_IPC "Set to ON to enable VSOCK support in daemon"                                   OFF)
option(WITH_DLT_LIB_VSOCK_IPC    "Set to ON to enable VSOCK support in library (DLT_IPC is not used in library)" OFF)
set(DLT_VSOCK_PORT "13490" CACHE STRING "VSOCK port number for logging traffic.")

# RPM settings
set(GENIVI_RPM_RELEASE "1")  # ${DLT_REVISION}")
set(LICENSE "Mozilla Public License Version 2.0")

# Build, project and include settings
find_package(Threads REQUIRED)
if(WITH_DLT_COREDUMPHANDLER OR WITH_DLT_FILETRANSFER)
    set(ZLIB_LIBRARY "-lz")
    find_package(ZLIB REQUIRED)
else()
    set(ZLIB_LIBRARY "")
endif()

if(WITH_DLT_DBUS)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(DBUS REQUIRED dbus-1)
endif()

include_directories(
    ${PROJECT_SOURCE_DIR}
    ${PROJECT_BINARY_DIR}/include/dlt
    ${PROJECT_SOURCE_DIR}/include/dlt
    ${PROJECT_SOURCE_DIR}/src/shared
    ${PROJECT_SOURCE_DIR}/src/core_dump_handler
    ${PROJECT_SOURCE_DIR}/src/offlinelogstorage
    ${PROJECT_SOURCE_DIR}/src/lib
    ${PROJECT_SOURCE_DIR}/src/daemon
    ${PROJECT_SOURCE_DIR}/src/console
    ${PROJECT_SOURCE_DIR}/src/gateway
    ${PROJECT_SOURCE_DIR}/systemd/3rdparty
)

add_definitions(-D_GNU_SOURCE)

if(NOT DLT_IPC STREQUAL "UNIX_SOCKET" AND NOT DLT_IPC STREQUAL "FIFO")
    message(FATAL_ERROR "${DLT_IPC} is not a valid value for DLT_IPC")
endif()
add_definitions(-DDLT_DAEMON_USE_${DLT_IPC}_IPC)
if(WITH_DLT_DAEMON_VSOCK_IPC)
    add_definitions(-DDLT_DAEMON_VSOCK_IPC_ENABLE)
endif()
if(NOT WITH_DLT_LIB_VSOCK_IPC)
    add_definitions(-DDLT_LIB_USE_${DLT_IPC}_IPC)
else()
    add_definitions(-DDLT_LIB_USE_VSOCK_IPC)
endif()
if(WITH_DLT_DAEMON_VSOCK_IPC OR WITH_DLT_LIB_VSOCK_IPC)
    add_definitions(-DDLT_VSOCK_PORT=${DLT_VSOCK_PORT})
endif()

if(NOT DLT_USER_IPC_PATH)
    set(DLT_USER_IPC_PATH "/tmp")
endif()
add_definitions(-DDLT_USER_IPC_PATH="${DLT_USER_IPC_PATH}")

if(WITH_DLTTEST)
    add_definitions(-DDLT_TEST_ENABLE)
endif()

if(WITH_DLT_UNIT_TESTS)
    add_definitions(-DDLT_UNIT_TESTS)
endif()

if(WITH_DLT_SHM_ENABLE)
    add_definitions(-DDLT_SHM_ENABLE)
endif()

if(WITH_DLT_USE_IPv6)
    add_definitions(-DDLT_USE_IPv6)
endif()

if(WITH_DLT_QNX_SYSTEM AND NOT "${CMAKE_C_COMPILER}" MATCHES "nto-qnx|qcc")
    message(FATAL_ERROR "Can only compile for QNX with a QNX compiler.")
endif()

if(WITH_GPROF)
    add_compile_options(-pg)
endif()

add_compile_options(
    $<$<COMPILE_LANGUAGE:C>:-std=gnu99>
    $<$<COMPILE_LANGUAGE:CXX>:-std=gnu++11>
    -Wall
    -Wextra
    # -pedantic
    -Wno-variadic-macros
    -Wno-strict-aliasing
    )

if(WITH_DOC STREQUAL "OFF")
    set(PACKAGE_DOC "#")
else()
    set(PACKAGE_DOC "")
endif()

if(WITH_DLT_PKGCONFIG)
    configure_file(${PROJECT_SOURCE_DIR}/${PROJECT_NAME}.spec.in ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.spec)
    configure_file(${PROJECT_SOURCE_DIR}/${PROJECT_NAME}.pc.in ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.pc @ONLY)
    install(FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig COMPONENT devel)
endif()

if(WITH_DLT_CXX11_EXT AND WITH_DLT_PKGCONFIG)
    configure_file(${PROJECT_SOURCE_DIR}/${PROJECT_NAME}-c++.pc.in ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-c++.pc @ONLY)
    install(FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-c++.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig COMPONENT devel)
endif()

set(CONFIGURATION_FILES_DIR ${CMAKE_INSTALL_FULL_SYSCONFDIR})
add_definitions(-DCONFIGURATION_FILES_DIR="${CONFIGURATION_FILES_DIR}")

add_subdirectory(cmake)

# Message queue
if(HAVE_MQUEUE_H AND HAVE_FUNC_MQOPEN AND HAVE_FUNC_MQCLOSE AND
   HAVE_FUNC_MQUNLINK AND HAVE_FUNC_MQSEND AND HAVE_FUNC_MQRECEIVE)
    add_definitions(-DDLT_NETWORK_TRACE_ENABLE)
    set(DLT_NETWORK_TRACE_ENABLE 1)
else()
    message(STATUS "Disable network trace interface since message queue is not supported")
endif()

if(WITH_SYSTEMD OR WITH_SYSTEMD_WATCHDOG OR WITH_SYSTEMD_JOURNAL)
    find_package(PkgConfig REQUIRED)
    execute_process(COMMAND pkg-config --modversion systemd OUTPUT_VARIABLE SYSTEMD_VERSION)
    string(REPLACE "\n" "" SYSTEMD_VERSION ${SYSTEMD_VERSION})

    if(WITH_SYSTEMD)
        add_definitions(-DDLT_SYSTEMD_ENABLE)
    endif()

    if(WITH_SYSTEMD_WATCHDOG)
        add_definitions(-DDLT_SYSTEMD_WATCHDOG_ENABLE)
    endif()

    if(WITH_SYSTEMD_JOURNAL)
        add_definitions(-DDLT_SYSTEMD_JOURNAL_ENABLE)
    endif()

    set(systemd_SRCS ${PROJECT_SOURCE_DIR}/systemd/3rdparty/sd-daemon.c)

    set(SYSTEMD_UNITDIR "${CMAKE_INSTALL_PREFIX}/lib/systemd/system" CACHE PATH
        "Set directory to install systemd unit files")

    add_subdirectory(systemd)
else()
    set(systemd_SRCS "")
endif()

if(WITH_DLT_LOGSTORAGE_CTRL_UDEV)
    add_definitions(-DDLT_LOGSTORAGE_CTRL_UDEV_ENABLE)
endif()

if(WITH_DLT_FATAL_LOG_TRAP)
    add_definitions(-DDLT_FATAL_LOG_RESET_ENABLE)
endif()

if(WITH_DLT_FILTER_BACKEND_PROP)
   add_definitions(-DHAS_PROPRIETARY_FILTER_BACKEND)
endif()

if(WITH_EXTENDED_FILTERING)
    if(("${CMAKE_SYSTEM_NAME}" MATCHES "Linux") OR ("${CMAKE_SYSTEM_NAME}" MATCHES "Android"))
        find_package(PkgConfig REQUIRED)
        pkg_check_modules(JSON REQUIRED json-c)
        set(DLT_JSON_LIBRARY ${JSON_LIBRARIES})
    elseif("${CMAKE_SYSTEM_NAME}" MATCHES "QNX")
        set(DLT_JSON_LIBRARY json)
    else()
        message(FATAL_ERROR "OS doesn't support extended filtering. Please build without cmake option '-DWITH_EXTENDED_FILTERING=OFF'")
    endif()
    add_definitions(-DEXTENDED_FILTERING)
else()
    set(DLT_JSON_LIBRARY "")
endif()

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(include)
add_subdirectory(testscripts)
if (WITH_DLT_UNIT_TESTS)
    find_package(GTest)

    if (NOT GTEST_FOUND)
        add_subdirectory( gtest-1.7.0 )
    endif()
    enable_testing()
    add_subdirectory(tests)
endif()

message(STATUS)
message(STATUS "-------------------------------------------------------------------------------")
message(STATUS "Build for Version ${PROJECT_VERSION} build ${DLT_REVISION} version state ${DLT_VERSION_STATE}")
message(STATUS "WITH_SYSTEMD = ${WITH_SYSTEMD}")
message(STATUS "WITH_SYSTEMD_WATCHDOG = ${WITH_SYSTEMD_WATCHDOG}")
message(STATUS "WITH_SYSTEMD_JOURNAL = ${WITH_SYSTEMD_JOURNAL}")

=== doc/CMakeLists.txt ===
#######
# SPDX license identifier: MPL-2.0
#
# Copyright (C) 2011-2015, BMW AG
#
# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#######

if(WITH_DOC)
    # Markdown
    FIND_PROGRAM(PANDOC_TOOL
             NAMES pandoc
             PATHS /bin
                   /usr/bin
                   /usr/local/bin)

    if(NOT PANDOC_TOOL)
        MESSAGE(FATAL_ERROR "Could not find pandoc for man page generation.")
    endif(NOT PANDOC_TOOL)

    FIND_PROGRAM(SED_TOOL
    NAMES sed
    PATHS /bin
          /usr/bin
          /usr/local/bin)

    if(NOT SED_TOOL)
        MESSAGE(FATAL_ERROR "Could not find sed for html generation.")
    endif(NOT SED_TOOL)

    file(GLOB MD_FILES "${PROJECT_SOURCE_DIR}/doc/*.md")

    add_custom_target(generate_doc ALL)
    add_custom_command(TARGET generate_doc PRE_BUILD
        COMMAND ${PANDOC_TOOL} -s -f markdown -t html5 ${PROJECT_SOURCE_DIR}/README.md -o ${PROJECT_BINARY_DIR}/README.html
        COMMAND ${SED_TOOL} -i 's|\.md|\.html|g' ${PROJECT_BINARY_DIR}/README.html)
    foreach(FILE ${MD_FILES})
        get_filename_component(FILENAME ${FILE} NAME)
        string(REPLACE ".md" ".html" HTML_FILE ${FILENAME})
        add_custom_command(TARGET generate_doc PRE_BUILD
            COMMAND ${PANDOC_TOOL} -s -f markdown -t html5 ${FILE} -o ${PROJECT_BINARY_DIR}/doc/${HTML_FILE}
            COMMAND ${SED_TOOL} -i 's|\.md|\.html|g' ${PROJECT_BINARY_DIR}/doc/${HTML_FILE})
    endforeach()

    # Doxygen
    find_package(Doxygen REQUIRED)

    configure_file(${PROJECT_SOURCE_DIR}/doc/doxygen.cfg.cmake ${PROJECT_BINARY_DIR}/doc/doxygen.cfg @ONLY)

    add_custom_target (doc ALL
        COMMAND ${DOXYGEN_EXECUTABLE} ${PROJECT_BINARY_DIR}/doc/doxygen.cfg
        WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/doc
    )

    FIND_PROGRAM(ASCIIDOC_TOOL
             NAMES asciidoc
             PATHS /bin
                   /usr/bin
                   /usr/local/bin)

    if(NOT ASCIIDOC_TOOL)
        MESSAGE(FATAL_ERROR "Could not find asciidoc for doc-manuals generation.")
    endif(NOT ASCIIDOC_TOOL)

    add_custom_target (doc-manuals ALL
        COMMAND mkdir -p ${PROJECT_BINARY_DIR}/doc/manuals
        COMMAND mkdir -p ${PROJECT_BINARY_DIR}/doc/manuals/images
        COMMAND cp -r ${PROJECT_SOURCE_DIR}/doc/images/* ${PROJECT_BINARY_DIR}/doc/manuals/images
        COMMAND ${ASCIIDOC_TOOL} -a TOC1 -o ${PROJECT_BINARY_DIR}/doc/manuals/dlt_design_specification.html ${PROJECT_SOURCE_DIR}/doc/dlt_design_specification.md
        WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/doc
    )

endif(WITH_DOC)

if(WITH_MAN)
    # Compress the man pages and install to proper place
    FIND_PROGRAM(GZIP_TOOL
                 NAMES gzip
                 PATHS /bin
                       /usr/bin
                       /usr/local/bin)

    if(NOT GZIP_TOOL)
        MESSAGE(FATAL_ERROR "Could not find gzip for man page compression.")
    endif(NOT GZIP_TOOL)

    FIND_PROGRAM(PANDOC_TOOL
             NAMES pandoc
             PATHS /bin
                   /usr/bin
                   /usr/local/bin)

    if(NOT PANDOC_TOOL)
        MESSAGE(FATAL_ERROR "Could not find pandoc for man page generation.")
    endif(NOT PANDOC_TOOL)

    set(MAN_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})
    set(MAN_BUILD_DIR ${PROJECT_BINARY_DIR}/doc)

    file(GLOB MD_SRC "${MAN_SRC_DIR}/*.[1-8].md")

    set(MAN_BUILD_SRC "")
    foreach(FILE ${MD_SRC})
        get_filename_component(FILENAME ${FILE} NAME)
        string(REPLACE ".md" "" MAN_FILENAME ${FILENAME})
        list(APPEND MAN_BUILD_SRC ${MAN_BUILD_DIR}/${MAN_FILENAME})
    endforeach()

    set(MAN_BUILD_GZ "")
    foreach(FILE ${MAN_BUILD_SRC})
        list(APPEND MAN_BUILD_GZ "${FILE}.gz")
    endforeach()

    add_custom_target(generate_man ALL)

    set(CNT "0")
    list(LENGTH MD_SRC NUMBER_OF_MAN_PAGES)
    while(CNT LESS ${NUMBER_OF_MAN_PAGES})
            list(GET MD_SRC ${CNT} SRC_MD_FILE)
            list(GET MAN_BUILD_SRC ${CNT} BUILD_MAN_FILE)
            list(GET MAN_BUILD_GZ ${CNT} BUILD_MAN_GZ_FILE)

            add_custom_command(TARGET generate_man PRE_BUILD
            COMMAND ${PANDOC_TOOL} -s -t man ${SRC_MD_FILE} -o ${BUILD_MAN_FILE}
            COMMAND ${GZIP_TOOL} -c ${BUILD_MAN_FILE} > ${BUILD_MAN_GZ_FILE})

            MATH(EXPR CNT "${CNT}+1")
    endwhile()

    # If user has not set the base dir for man pages, use a default location
    set(MAN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/man)

    set(MAN5_GZ_FILES "")
    set(MAN1_GZ_FILES "")
    foreach(FILE ${MAN_BUILD_GZ})
        if(${FILE} MATCHES "(\.1\.gz)$")
            list(APPEND MAN1_GZ_FILES ${FILE})
        elseif(${FILE} MATCHES "(\.5\.gz)$")
            list(APPEND MAN5_GZ_FILES ${FILE})
        endif()
    endforeach()

    install(FILES
        ${MAN5_GZ_FILES}
        DESTINATION ${MAN_INSTALL_DIR}/man5
    )

    install(FILES
        ${MAN1_GZ_FILES}
        DESTINATION ${MAN_INSTALL_DIR}/man1
    )
endif(WITH_MAN)

=== tests/CMakeLists.txt ===
# Setup testing
enable_testing()

SET(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -isystem ${gtest_SOURCE_DIR}/include")
SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -isystem ${gtest_SOURCE_DIR}/include -std=gnu++0x")

configure_file(${PROJECT_SOURCE_DIR}/tests/testfile.dlt ${PROJECT_BINARY_DIR}/tests COPYONLY)
configure_file(${PROJECT_SOURCE_DIR}/tests/testfilter.txt ${PROJECT_BINARY_DIR}/tests COPYONLY)
configure_file(${PROJECT_SOURCE_DIR}/tests/testfile_filetransfer.txt ${PROJECT_BINARY_DIR}/tests COPYONLY)

if("${GTEST_BOTH_LIBRARIES}" STREQUAL "")
    set(GTEST_LIBS gtest gtest_main)
    set(GTEST_LIBS ${GTEST_LIBS} CACHE STRING "Gtest libraries")
else()
    set(GTEST_LIBS ${GTEST_BOTH_LIBRARIES})
endif()

if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    set(LIBRARIES "")
else()
    set(LIBRARIES socket)
endif()

set(DLT_LIBRARIES dlt ${GTEST_LIBS} ${LIBRARIES})
set(DLT_DAEMON_LIBRARIES dlt_daemon ${GTEST_LIBS} ${LIBRARIES})
set(DLT_CONTROL_LIBRARIES dlt dlt_control_common_lib ${GTEST_LIBS})

#Receiver used for QTs. add_test() is not required
add_executable(dlt_test_receiver dlt_test_receiver.c)
target_link_libraries(dlt_test_receiver ${DLT_LIBRARIES})

####################
# DLT library tests
####################
set(TARGET_LIST gtest_dlt_common
                gtest_dlt_user
                gtest_dlt_daemon_common
                dlt_env_ll_unit_test
                )

foreach(target IN LISTS TARGET_LIST)
    set(target_SRCS ${target})
    if(${target} STREQUAL "gtest_dlt_daemon_common")
        set(target_SRCS ${target_SRCS} ../src/daemon/dlt_daemon_common.c)
    endif()
    add_executable(${target} ${target_SRCS})
    target_link_libraries(${target} ${DLT_LIBRARIES})
    add_test(NAME ${target}
             COMMAND ${target})
endforeach()

###################
# DLT daemon tests
###################
set(TARGET_LIST gtest_dlt_daemon_gateway
                gtest_dlt_daemon_offline_log
                gtest_dlt_daemon_filter
                gtest_dlt_daemon_event_handler
                )
if(WITH_DLT_SHM_ENABLE)
    list(APPEND TARGET_LIST gtest_dlt_shm)
endif()

foreach(target IN LISTS TARGET_LIST)
    set(target_SRCS ${target})
    add_executable(${target} ${target_SRCS} ${systemd_SRCS})
    target_link_libraries(${target} ${DLT_DAEMON_LIBRARIES})
    if(${target} STREQUAL "gtest_dlt_daemon_event_handler" OR
       ${target} STREQUAL "gtest_dlt_shm")
        add_test(NAME ${target}
                 COMMAND ${target})
    else()
        configure_file(${PROJECT_SOURCE_DIR}/tests/${target}.sh ${PROJECT_BINARY_DIR}/tests COPYONLY)
        add_test(NAME ${target}
                 COMMAND /bin/sh "${target}.sh"
                         ${target})
    endif()
endforeach()

#####################
# DLT conotrol tests
#####################
if(WITH_EXTENDED_FILTERING)
    configure_file(${PROJECT_SOURCE_DIR}/tests/testfile_extended.dlt ${PROJECT_BINARY_DIR}/tests COPYONLY)
    configure_file(${PROJECT_SOURCE_DIR}/tests/testfilter.json ${PROJECT_BINARY_DIR}/tests COPYONLY)
    add_executable(gtest_dlt_json_filter gtest_dlt_json_filter.cpp)
    target_link_libraries(gtest_dlt_json_filter ${DLT_CONTROL_LIBRARIES})
    add_test(NAME gtest_dlt_json_filter
        COMMAND gtest_dlt_json_filter)
endif()

=== examples/example3/CMakeLists.txt ===
#######
# SPDX license identifier: MPL-2.0
#
# Copyright (C) 2011-2015, BMW AG
#
# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#######

#
# DLT example implementation
#

cmake_minimum_required( VERSION 2.6 )
project( automotive-dlt-example3 )

#
# find dependency packages
#

find_package(PkgConfig)
pkg_check_modules(DLT REQUIRED automotive-dlt)

#
# include directories
#

include_directories(
    ${DLT_INCLUDE_DIRS}
)

#
# build project
#

set(dlt_example3_SRCS example3.c)
add_executable(dlt-example3 ${dlt_example3_SRCS})
target_link_libraries(dlt-example3 ${DLT_LIBRARIES})
set_target_properties(dlt-example3 PROPERTIES LINKER_LANGUAGE C)

install(TARGETS dlt-example3
	RUNTIME DESTINATION bin
	COMPONENT base)

=== src/console/CMakeLists.txt ===
#######
# SPDX license identifier: MPL-2.0
#
# Copyright (C) 2011-2015, BMW AG
#
# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#######

set(dlt_control_common_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dlt-control-common.c)
add_library(dlt_control_common_lib STATIC ${dlt_control_common_SRCS})
target_link_libraries(dlt_control_common_lib dlt ${DLT_JSON_LIBRARY})

set(TARGET_LIST dlt-convert dlt-receive)

if(NOT WITH_DLT_CONSOLE_WO_CTRL)
    add_subdirectory(logstorage)
    list(APPEND TARGET_LIST dlt-control dlt-passive-node-ctrl)
endif()

if(NOT WITH_DLT_CONSOLE_WO_SBTM)
    list(APPEND TARGET_LIST dlt-sortbytimestamp)
endif()

foreach(target IN LISTS TARGET_LIST)
    set(target_SRCS ${target})
    add_executable(${target} ${target_SRCS})
    target_link_libraries(${target} dlt dlt_control_common_lib)
    set_target_properties(${target} PROPERTIES LINKER_LANGUAGE C)

    install(TARGETS ${target}
            RUNTIME DESTINATION bin
            COMPONENT base)
endforeach()

=== src/core_dump_handler/CMakeLists.txt ===
#######
# SPDX license identifier: MPL-2.0
#
# Copyright (C) 2011-2015, BMW AG
#
# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#######

if(WITH_DLT_COREDUMPHANDLER)

    set(PLATFORM_DIR ${PROJECT_SOURCE_DIR}/src/core_dump_handler/${TARGET_CPU_NAME})
    set(dlt_cdh_SRCS dlt_cdh.c dlt_cdh_context.c dlt_cdh_coredump.c ${PLATFORM_DIR}/dlt_cdh_cpuinfo.c dlt_cdh_crashid.c dlt_cdh_streamer.c)

    set(COREDUMP_CONF_DIR "/usr/lib/sysctl.d/")

    #add_definitions( -fno-strict-aliasing )

    if(WITH_CITYHASH)
        set(CITYHASH_DIR ${PROJECT_SOURCE_DIR}/src/core_dump_handler/cityhash_c)
        add_definitions(-DHAS_CITYHASH_C)
        set(dlt_cdh_SRCS ${CITYHASH_DIR}/city_c.c ${dlt_cdh_SRCS})
    endif(WITH_CITYHASH)

    add_executable(dlt-cdh ${dlt_cdh_SRCS})
    target_link_libraries(dlt-cdh ${ZLIB_LIBRARY})
    set_target_properties(dlt-cdh PROPERTIES LINKER_LANGUAGE C)

    configure_file(${PROJECT_SOURCE_DIR}/src/core_dump_handler/50-coredump.conf.cmake ${PROJECT_BINARY_DIR}/core_dump_handler/50-coredump.conf)

    install(TARGETS     dlt-cdh
            RUNTIME DESTINATION bin
            COMPONENT base)

    install(FILES ${PROJECT_BINARY_DIR}/core_dump_handler/50-coredump.conf DESTINATION ${COREDUMP_CONF_DIR})

endif(WITH_DLT_COREDUMPHANDLER)

=== src/examples/CMakeLists.txt ===
#######
# SPDX license identifier: MPL-2.0
#
# Copyright (C) 2011-2015, BMW AG
#
# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#######

set(TARGET_LIST dlt-example-user-func)
set(TARGET_LIST ${TARGET_LIST} dlt-example-filetransfer)
if(NOT WITH_DLT_DISABLE_MACRO)
    set(TARGET_LIST ${TARGET_LIST} dlt-example-user)
    set(TARGET_LIST ${TARGET_LIST} dlt-example-user-common-api)
endif()

if(WITH_UDP_CONNECTION)
    set(TARGET_LIST ${TARGET_LIST} dlt-example-multicast-clientmsg-view)
endif()

foreach(TARGET IN LISTS TARGET_LIST)
    set(TARGET_SRCS ${TARGET})
    add_executable(${TARGET} ${TARGET_SRCS})
    target_link_libraries(${TARGET} dlt)
    set_target_properties(${TARGET} PROPERTIES LINKER_LANGUAGE C)
    install(TARGETS ${TARGET}
            RUNTIME DESTINATION bin
            COMPONENT base)
endforeach()

=== src/lib/CMakeLists.txt ===
#######
# SPDX license identifier: MPL-2.0
#
# Copyright (C) 2011-2015, BMW AG
#
# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#######

set(dlt_LIB_SRCS
    dlt_user.c
    dlt_client.c
    dlt_filetransfer.c
    dlt_env_ll.c
    ${PROJECT_SOURCE_DIR}/src/shared/dlt_common.c
    ${PROJECT_SOURCE_DIR}/src/shared/dlt_protocol.c
    ${PROJECT_SOURCE_DIR}/src/shared/dlt_user_shared.c
    )

if(WITH_DLT_SHM_ENABLE)
    set(dlt_LIB_SRCS ${dlt_LIB_SRCS} ${PROJECT_SOURCE_DIR}/src/shared/dlt_shm.c)
endif()

add_library(dlt ${dlt_LIB_SRCS})

if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    set(RT_LIBRARY rt)
    set(SOCKET_LIBRARY "")
else()
    set(RT_LIBRARY "")
    set(SOCKET_LIBRARY socket)
endif()

if(HAVE_FUNC_PTHREAD_SETNAME_NP)
    add_definitions(-DDLT_USE_PTHREAD_SETNAME_NP)
    message(STATUS "Using pthread_setname_np API to set thread name")
else()
    message(STATUS "pthread_setname_np API not available on this platform")
endif()

target_link_libraries(dlt ${RT_LIBRARY} ${SOCKET_LIBRARY} Threads::Threads)

target_include_directories(dlt
    PUBLIC
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/dlt>
        $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include/dlt>
        $<INSTALL_INTERFACE:include>
)
# With this option set, a legacy include path is added in addition to the regular one.
if(WITH_LEGACY_INCLUDE_PATH)
    target_include_directories(dlt
        PUBLIC
            $<INSTALL_INTERFACE:include/dlt>
    )
endif()

if(WITH_LIB_SHORT_VERSION)
    set_target_properties(dlt PROPERTIES VERSION ${PROJECT_VERSION_MAJOR} SOVERSION ${PROJECT_VERSION_MAJOR})
else()
    set_target_properties(dlt PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
endif()

add_library(Genivi::dlt ALIAS dlt)

install(TARGETS dlt
    EXPORT
        ${PROJECT_NAME}-targets
    RUNTIME
        DESTINATION bin
        COMPONENT base
    LIBRARY
        DESTINATION ${CMAKE_INSTALL_LIBDIR}
        COMPONENT base
    ARCHIVE
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/static
        COMPONENT base)

# Install *-targets.cmake file
install(
    EXPORT ${PROJECT_NAME}-targets
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
    NAMESPACE Genivi::
)

# Create *-config.cmake file
include(CMakePackageConfigHelpers)
configure_package_config_file(
    ${PROJECT_SOURCE_DIR}/${PROJECT_NAME}-config.cmake.in
    ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
    NO_SET_AND_CHECK_MACRO
)

# Install *-config.cmake file
install(
    FILES
        ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config.cmake
    DESTINATION
        ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
)

=== src/system/CMakeLists.txt ===
#######
# SPDX license identifier: MPL-2.0
#
# Copyright (C) 2011-2015, BMW AG
#
# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#######

if(WITH_SYSTEMD_WATCHDOG OR WITH_SYSTEMD OR WITH_SYSTEMD_JOURNAL)
    message( STATUS "Added ${systemd_SRCS} to dlt-system")
endif(WITH_SYSTEMD_WATCHDOG OR WITH_SYSTEMD OR WITH_SYSTEMD_JOURNAL)

set(dlt_system_SRCS dlt-system.c dlt-system-options.c dlt-system-process-handling.c
       dlt-system-logfile.c dlt-system-processes.c dlt-system-shell.c
       dlt-system-syslog.c dlt-system-watchdog.c dlt-system-journal.c)

if(WITH_DLT_FILETRANSFER)
  set(dlt_system_SRCS ${dlt_system_SRCS} dlt-system-filetransfer.c)
  add_definitions(-DDLT_FILETRANSFER_ENABLE)
endif(WITH_DLT_FILETRANSFER)

add_executable(dlt-system ${dlt_system_SRCS} ${systemd_SRCS})

target_link_libraries(dlt-system dlt)

if(WITH_SYSTEMD_JOURNAL)
 if(SYSTEMD_VERSION LESS 209)
  target_link_libraries(dlt-system systemd-journal systemd-id128)
 else(SYSTEMD_VERSION LESS 209)
  target_link_libraries(dlt-system systemd)
 endif(SYSTEMD_VERSION LESS 209)
endif(WITH_SYSTEMD_JOURNAL)

if(WITH_DLT_FILETRANSFER)
 target_link_libraries(dlt-system ${ZLIB_LIBRARY})
endif(WITH_DLT_FILETRANSFER)

set_target_properties(dlt-system PROPERTIES LINKER_LANGUAGE C)


install(TARGETS dlt-system
	RUNTIME DESTINATION bin
	COMPONENT base)

INSTALL(FILES dlt-system.conf
	DESTINATION ${CONFIGURATION_FILES_DIR}
	COMPONENT base)

=== src/tests/CMakeLists.txt ===
#######
# SPDX license identifier: MPL-2.0
#
# Copyright (C) 2011-2015, BMW AG
#
# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#######

set(TARGET_LIST ${TARGET_LIST} dlt-test-multi-process)
set(TARGET_LIST ${TARGET_LIST} dlt-test-multi-process-client)
set(TARGET_LIST ${TARGET_LIST} dlt-test-user)
set(TARGET_LIST ${TARGET_LIST} dlt-test-client)
set(TARGET_LIST ${TARGET_LIST} dlt-test-stress-user)
set(TARGET_LIST ${TARGET_LIST} dlt-test-stress-client)
set(TARGET_LIST ${TARGET_LIST} dlt-test-stress)
set(TARGET_LIST ${TARGET_LIST} dlt-test-fork-handler)
set(TARGET_LIST ${TARGET_LIST} dlt-test-init-free)
set(TARGET_LIST ${TARGET_LIST} dlt-test-preregister-context)
set(TARGET_LIST ${TARGET_LIST} dlt-test-filetransfer)
install(FILES dlt-test-filetransfer-file dlt-test-filetransfer-image.png
        DESTINATION share/dlt-filetransfer)

if(WITH_DLT_CXX11_EXT)
    set(TARGET_LIST ${TARGET_LIST} dlt-test-cpp-extension)
endif()

#TODO: Enable again once dlt-test-non-verbose is adapted to non-macro usage
if (NOT WITH_DLT_DISABLE_MACRO)
    set(TARGET_LIST ${TARGET_LIST} dlt-test-non-verbose)
    if(WITH_DLT_CXX11_EXT)
        set(TARGET_LIST ${TARGET_LIST} dlt-test-cpp-extension)
    endif()
endif()

if(WITH_DLT_QNX_SYSTEM)
    set(TARGET_LIST ${TARGET_LIST} dlt-test-qnx-slogger)
endif()
 
foreach(TARGET IN LISTS TARGET_LIST)
    set(TARGET_SRCS ${TARGET})
    add_executable(${TARGET} ${TARGET_SRCS})
    target_link_libraries(${TARGET} dlt)
    set_target_properties(${TARGET} PROPERTIES LINKER_LANGUAGE C)
    install(TARGETS ${TARGET}
            RUNTIME DESTINATION bin
            COMPONENT base)
endforeach()

=== debian/changelog ===
dlt-daemon (2.18.8-6) unstable; urgency=medium

  * Switch from GENIVI to COVESA

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jan 2023 15:36:58 +0100

dlt-daemon (2.18.8-5) unstable; urgency=medium

  * debian/patches/433.patch
    - Add upstream-proposed patch to fix latomic underlinkage on riscv64
  * Upload to lunar with atomic fix on cmake

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jan 2023 11:40:57 +0100

dlt-daemon (2.18.8-4) unstable; urgency=medium

  * Enable tests during build
  * Enable extended filtering feature.
  * Refresh patch 398
  * Add upstream patch to fix a test build failure
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jan 2023 10:41:43 +0100

dlt-daemon (2.18.8-3) unstable; urgency=medium

  * Fix dh_installinit call with compat level 13
  * Install some more tool and manpage, e.g. dlt-sortbytimestamp
  * Also install cmake helper
  * Install some missing manpages
  * Override dh_install to avoid installing not needed files, avoiding
    dh_missing failures with compat level 13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jan 2023 07:20:45 +0100

dlt-daemon (2.18.8-2) unstable; urgency=medium

  * debian/patches/398.patch
    - add upstream patch to fix a buffer overflow on 32 bit systems.
  * Bump std-version to4.6.2
  * Bump compat level to 13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Jan 2023 15:07:11 +0100

dlt-daemon (2.18.8-1) unstable; urgency=low

  * New upstream release
  * Dropped an upstreamed patch

 -- Aigars Mahinovs <aigarius@debian.org>  Mon, 14 Nov 2022 21:50:12 +0100

dlt-daemon (2.18.6-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2022-31291: Double free in dlt_config_file_set_section().
    (Closes: #1014534)

 -- Adrian Bunk <bunk@debian.org>  Thu, 18 Aug 2022 19:39:48 +0300

=== debian/control ===
Source: dlt-daemon
Priority: optional
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, libdbus-1-dev, doxygen, libgtest-dev, libsystemd-dev, pandoc, systemd, libsystemd-dev, libjson-c-dev
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: https://github.com/COVESA/dlt-daemon

Package: libdlt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdlt2 (= ${binary:Version}), ${misc:Depends}
Description: Diagnostic Log and Trace (DLT) library (development)
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This software can be used
 by COVESA components and other applications as logging facility.
 .
 DLT library is used by apps that need to log to a DLT daemon directly and by
 apps that want to read logs from DLT daemon. This package provides development
 files.

Package: libdlt2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Diagnostic Log and Trace (DLT) library
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This software can be used
 by COVESA components and other applications as logging facility.
 .
 DLT library is used by apps that need to log to a DLT daemon directly and by
 apps that want to read logs from DLT daemon.

Package: dlt-daemon
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: dlt-tools
Description: Diagnostic Log and Trace logging daemon
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This software can be used
 by COVESA components and other applications as logging facility.
 .
 The DLT daemon is the central component in COVESA, which gathers all logs and
 traces from the DLT user applications. The logs and traces can optionally
 be directly written to a file in the ECU. The DLT daemon forwards all logs
 and traces to a connected DLT client. The DLT client can send control
 messages to the daemon, e.g. to set individual log levels of applications
 and contexts or get the list of applications and contexts registered in the
 DLT daemon.

Package: dlt-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: dlt-daemon
Description: Diagnostic Log and Trace (DLT) (documentation)
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This software can be used
 by COVESA components and other applications as logging facility.
 .
 This package includes tools to connect to and experiment with DLT daemon.
 Most usefully this includes 'dlt-receive' to connect to a (remote) DLT server
 and save all logs to a DLT file and 'dlt-system' that injects system logs
 into the DLT server

Package: libdlt-examples
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: dlt-daemon
Description: Diagnostic Log and Trace (DLT) (documentation)
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This software can be used
 by COVESA components and other applications as logging facility.
 .
 This package includes example apps and test tools for DLT server.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure --  -DWITH_SYSTEMD=ON -DWITH_SYSTEMD_JOURNAL=ON -DWITH_MAN=ON -DWITH_DLT_ADAPTOR=ON \
		-DWITH_DLT_DBUS=ON -DWITH_DLT_SYSTEM=ON -DWITH_DLT_KPI=ON -DWITH_DLT_FILETRANSFER=ON -DWITH_UDP_CONNECTION=ON \
		-DWITH_DLT_UNIT_TESTS=ON -DWITH_EXTENDED_FILTERING=ON -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	# we use the Debian version for the services files
	rm debian/tmp/usr/lib/systemd/system/dlt-dbus.service debian/tmp/usr/lib/systemd/system/dlt-system.service debian/tmp/usr/lib/systemd/system/dlt.service
	# they are used only for testing, and they mention /usr/local/ in source code, so they can't work anyway
	rm debian/tmp/usr/share/dlt-filetransfer/dlt-test-filetransfer-file debian/tmp/usr/share/dlt-filetransfer/dlt-test-filetransfer-image.png

override_dh_installinit:
	dh_installinit -pdlt-tools --name=dlt-tools-system -n
	dh_installinit -pdlt-tools --name=dlt-tools-dbus -n
	dh_installinit -n

override_dh_clean:
	dh_clean
	rm -rf include/dlt/dlt_version.h

## dlt-daemon 2.18.9

=== debian/changelog ===
dlt-daemon (2.18.9-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file regex to take account of alpha releases
  * Drop all patches, now fixed upstream
  * Add two patches proposed upstream, 481.patch and 482.patch
    to fix build failures with security build flags enabled and with different
    cmake configurations

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Apr 2023 11:26:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,12 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure --  -DWITH_SYSTEMD=ON -DWITH_SYSTEMD_JOURNAL=ON -DWITH_MAN=ON -DWITH_DLT_ADAPTOR=ON \
+	# keep disabled for now? -DDLT_IPC=UNIX_SOCKET -DWITH_SYSTEMD_SOCKET_ACTIVATION=ON
+	dh_auto_configure -- \
+		-DWITH_SYSTEMD=ON -DWITH_SYSTEMD_JOURNAL=ON -DWITH_MAN=ON -DWITH_DLT_ADAPTOR=ON \
 		-DWITH_DLT_DBUS=ON -DWITH_DLT_SYSTEM=ON -DWITH_DLT_KPI=ON -DWITH_DLT_FILETRANSFER=ON -DWITH_UDP_CONNECTION=ON \
 		-DWITH_DLT_UNIT_TESTS=ON -DWITH_EXTENDED_FILTERING=ON -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+
 
 override_dh_auto_install:
 	dh_auto_install
